# Created by pyp2rpm-3.3.5
%global pypi_name msal

Name:           python-%{pypi_name}
Version:        1.32.0
Release:        %mkrel 1
Summary:        The Microsoft Authentication Library (MSAL) for Python
Group:          Development/Python
License:        MIT
URL:            https://github.com/AzureAD/microsoft-authentication-library-for-python
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Patch0:         msal-1.18.0-relax-requirements.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The Microsoft Authentication Library for Python enables applications to 
integrate with the Microsoft identity platform. It allows you to sign in users
or apps with Microsoft identities (Azure AD, Microsoft Accounts and 
Azure AD B2C accounts) and obtain tokens to call Microsoft APIs such as 
Microsoft Graph or your own APIs registered with the Microsoft identity platform.
It is built using industry standard OAuth2 and OpenID Connect protocols

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cryptography) 
Requires:       python3dist(mock)
Requires:       python3dist(pyjwt)
Requires:       python3dist(requests)
%description -n python3-%{pypi_name}
The Microsoft Authentication Library for Python enables applications to 
integrate with the Microsoft identity platform. It allows you to sign in users
or apps with Microsoft identities (Azure AD, Microsoft Accounts and 
Azure AD B2C accounts) and obtain tokens to call Microsoft APIs such as 
Microsoft Graph or your own APIs registered with the Microsoft identity platform.
It is built using industry standard OAuth2 and OpenID Connect protocols


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}.dist-info



%changelog
* Thu Mar 20 2025 papoteur <papoteur> 1.32.0-1.mga10
+ Revision: 2167165
- new version 1.32.0

* Sun Mar 02 2025 wally <wally> 1.28.1-2.mga10
+ Revision: 2158393
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 1.28.1-1.mga10
+ Revision: 2077675
- new version 1.28.1

* Mon May 13 2024 papoteur <papoteur> 1.28.0-1.mga10
+ Revision: 2063948
- new version 1.28.0

* Thu Feb 22 2024 papoteur <papoteur> 1.26.0-1.mga10
+ Revision: 2043282
- new version 1.26.0

* Thu Nov 09 2023 papoteur <papoteur> 1.25.0-1.mga10
+ Revision: 2005328
- new 1.25.0

* Thu Jul 14 2022 papoteur <papoteur> 1.18.0-1.mga9
+ Revision: 1868789
- imported package python-msal

